Sample (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.visualizers, class: Sample

Package org.apache.jmeter.visualizers

# Class Sample

java.lang.Object
org.apache.jmeter.visualizers.Sample

All Implemented Interfaces:
  `Serializable`, `Comparable<Sample>`

public class Sample extends Object implements Serializable, Comparable<Sample>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Sample()`
  `Sample(String name, long data, long average, long deviation, long median, long distributionLine, double throughput, long errorCount, boolean success, long num, long endTime)`
  `Sample(String name, long data, long average, long deviation, long median, long distributionLine, double throughput, long errorCount, boolean success, long num, long endTime, int bytes, String threadName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Sample otherSample)`
  `boolean`
  `equals(Object o)`
  `long`
  `getAverage()`
  `int`
  `getBytes()`
  `long`
  `getCount()`
  `long`
  `getData()`
  `long`
  `getDeviation()`
  `long`
  `getDistributionLine()`
  `long`
  `getEndTime()`
  `long`
  `getErrorCount()`
  `String`
  `getLabel()`
  `long`
  `getMedian()`
  `long`
  `getStartTime()`
  `String`
  `getStartTimeFormatted(Format format)`
  `String`
  `getThreadName()`
  `double`
  `getThroughput()`
  `int`
  `hashCode()`
  `boolean`
  `isSuccess()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Sample

    public Sample(String name, long data, long average, long deviation, long median, long distributionLine, double throughput, long errorCount, boolean success, long num, long endTime)

  - ### Sample

    public Sample(String name, long data, long average, long deviation, long median, long distributionLine, double throughput, long errorCount, boolean success, long num, long endTime, int bytes, String threadName)

  - ### Sample

    public Sample()

- ## Method Details

  - ### getBytes

    public int getBytes()

  - ### getAverage

    public long getAverage()
    Returns:
      Returns the average.

  - ### getCount

    public long getCount()
    Returns:
      Returns the count.

  - ### getData

    public long getData()
    Returns:
      Returns the data (usually elapsed time)

  - ### getDeviation

    public long getDeviation()
    Returns:
      Returns the deviation.

  - ### getDistributionLine

    public long getDistributionLine()
    Returns:
      Returns the distributionLine.

  - ### isSuccess

    public boolean isSuccess()
    Returns:
      Returns the error.

  - ### getErrorCount

    public long getErrorCount()
    Returns:
      Returns the errorCount.

  - ### getLabel

    public String getLabel()
    Returns:
      Returns the label.

  - ### getThreadName

    public String getThreadName()
    Returns:
      Returns the threadName.

  - ### getMedian

    public long getMedian()
    Returns:
      Returns the median.

  - ### getThroughput

    public double getThroughput()
    Returns:
      Returns the throughput.

  - ### compareTo

    public int compareTo(Sample otherSample)
    Specified by:
      `compareTo` in interface `Comparable<Sample>`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### getEndTime

    public long getEndTime()
    Returns:
      Returns the endTime.

  - ### getStartTime

    public long getStartTime()
    Returns:
      Returns the (calculated) startTime, assuming Data is the elapsed time.

  - ### getStartTimeFormatted

    public String getStartTimeFormatted(Format format)
    Parameters:
      `format` - the format of the time to be used
    Returns:
      the start time using the specified format Intended for use from Functors